為某人建立 Vimine 帳戶(伺服器端)
POST
/v1/signup
const url = 'https://api.vimine.network/v1/signup';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"email":"hello@example.com","first_name":"example","last_name":"example","phone":"example","dob":"2026-04-15","gender":"M","birthplace":"example","birth_country":"example","codicefiscale":"example","codicefiscale_confirmed":true,"locale":"example","accept_terms":{"version":"example","sha256":"example"},"acknowledge_privacy":{"version":"example","sha256":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.vimine.network/v1/signup \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "email": "hello@example.com", "first_name": "example", "last_name": "example", "phone": "example", "dob": "2026-04-15", "gender": "M", "birthplace": "example", "birth_country": "example", "codicefiscale": "example", "codicefiscale_confirmed": true, "locale": "example", "accept_terms": { "version": "example", "sha256": "example" }, "acknowledge_privacy": { "version": "example", "sha256": "example" } }'建立身份,並向當事人傳送一封電子郵件,用於確認電子郵件地址並設定密碼。始終傳回 202:絕不透露該地址是否已有帳戶(改為透過郵件告知該地址的所有者)。僅限用戶端權杖(identity:signup);接受 Idempotency-Key。
授權方式
章節「授權方式」請求本文必填
章節「請求本文必填」媒體類型application/json
object
email
必填
string 格式: email
first_name
必填
string
last_name
必填
string
phone
string
dob
string 格式: date
gender
僅用於統計:不參與比對
string
birthplace
市鎮(在義大利出生)或城市,自由文字(在國外出生)
string
birth_country
ISO 3166-1 alpha-2
string
codicefiscale
提供時會進行驗證,並與其他欄位比對
string
codicefiscale_confirmed
當事人確認一個與其個人資訊不一致的稅號(422 codicefiscale_mismatch 且 confirmable: true)
boolean
locale
當事人所填寫頁面的語言(平臺支援的語言——it、en…;其他任何標籤都會歸併到平臺自己的語言:en-GB → en,zh-TW → zh-Hant)。它決定後續郵件的語言,並成為新建立帳戶的語言偏好;已存在的帳戶保留其原有偏好。不支援的值會被忽略
string
accept_terms
當事人在您的網站上接受的帳戶使用條款(platform_terms)——可選,但提供時必須指明現行版本
object
version
必填
所展示的現行版本標籤(GET /v1/legal/{kind})
string
sha256
其範本雜湊值(已發布時)
string
acknowledge_privacy
當事人在您的網站上閱讀的平臺隱私權聲明(platform_privacy)——可選,規則相同
object
version
必填
所展示的現行版本標籤(GET /v1/legal/{kind})
string
sha256
其範本雜湊值(已發布時)
string
回應
章節「回應」202
章節「202」已受理
媒體類型application/json
object
status
必填
string
範例
{ "status": "accepted"}400
章節「400」請求無效
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}401
章節「401」缺少憑證或憑證無效
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}403
章節「403」不允許此操作
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}404
章節「404」找不到
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}429
章節「429」超出速率限制
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}500
章節「500」內部錯誤
媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{ "type": "https://example.com", "title": "example", "status": 1, "detail": "example", "code": "example", "request_id": "example", "errors": [ { "field": "example", "code": "example", "message": "example" } ]}